php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #70069 --enable-fpm error Unsupported processor
Submitted: 2015-07-14 03:11 UTC Modified: -
From: ileadu at gmail dot com Assigned:
Status: Open Package: FPM related
PHP Version: 5.4.43 OS: Linux
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2015-07-14 03:11 UTC] ileadu at gmail dot com
Description:
------------
./configure --host=arm-linux-gnueabi --disable-all --enable-fpm
make



Expected result:
----------------
compile successfully

Actual result:
--------------
/zend_execute.lo main/internal_functions_cli.lo sapi/cli/php_cli.lo sapi/cli/php_http_parser.lo sapi/cli/php_cli_server.lo -lcrypt -lcrypt -lm -lrt -lcrypt -lcrypt  -o sapi/cli/php
/bin/bash /home/marshall/Downloads/php-5.4.43/libtool --silent --preserve-dup-deps --mode=compile arm-linux-gnueabi-cc -I/home/marshall/Downloads/php-5.4.43/sapi/fpm -Isapi/fpm/ -I/home/marshall/Downloads/php-5.4.43/sapi/fpm/ -DPHP_ATOM_INC -I/home/marshall/Downloads/php-5.4.43/include -I/home/marshall/Downloads/php-5.4.43/main -I/home/marshall/Downloads/php-5.4.43 -I/home/marshall/Downloads/php-5.4.43/ext/date/lib -I/home/marshall/Downloads/php-5.4.43/ext/ereg/regex -I/home/marshall/Downloads/php-5.4.43/TSRM -I/home/marshall/Downloads/php-5.4.43/Zend    -g -O2 -fvisibility=hidden  -c /home/marshall/Downloads/php-5.4.43/sapi/fpm/fpm/fastcgi.c -o sapi/fpm/fpm/fastcgi.lo 
/bin/bash /home/marshall/Downloads/php-5.4.43/libtool --silent --preserve-dup-deps --mode=compile arm-linux-gnueabi-cc -I/home/marshall/Downloads/php-5.4.43/sapi/fpm -Isapi/fpm/ -I/home/marshall/Downloads/php-5.4.43/sapi/fpm/ -DPHP_ATOM_INC -I/home/marshall/Downloads/php-5.4.43/include -I/home/marshall/Downloads/php-5.4.43/main -I/home/marshall/Downloads/php-5.4.43 -I/home/marshall/Downloads/php-5.4.43/ext/date/lib -I/home/marshall/Downloads/php-5.4.43/ext/ereg/regex -I/home/marshall/Downloads/php-5.4.43/TSRM -I/home/marshall/Downloads/php-5.4.43/Zend    -g -O2 -fvisibility=hidden  -c /home/marshall/Downloads/php-5.4.43/sapi/fpm/fpm/fpm.c -o sapi/fpm/fpm/fpm.lo 
In file included from /home/marshall/Downloads/php-5.4.43/sapi/fpm/fpm/fpm_scoreboard.h:15,
                 from /home/marshall/Downloads/php-5.4.43/sapi/fpm/fpm/fpm.c:21:
/home/marshall/Downloads/php-5.4.43/sapi/fpm/fpm/fpm_atomic.h:142:2: error: #error Unsupported processor. Please open a bug report (bugs.php.net).
In file included from /home/marshall/Downloads/php-5.4.43/sapi/fpm/fpm/fpm_scoreboard.h:15,
                 from /home/marshall/Downloads/php-5.4.43/sapi/fpm/fpm/fpm.c:21:
/home/marshall/Downloads/php-5.4.43/sapi/fpm/fpm/fpm_atomic.h:146: error: expected ')' before '*' token
In file included from /home/marshall/Downloads/php-5.4.43/sapi/fpm/fpm/fpm.c:21:
/home/marshall/Downloads/php-5.4.43/sapi/fpm/fpm/fpm_scoreboard.h:22: error: expected specifier-qualifier-list before 'atomic_t'
/home/marshall/Downloads/php-5.4.43/sapi/fpm/fpm/fpm_scoreboard.h:51: error: expected specifier-qualifier-list before 'atomic_t'
make: *** [sapi/fpm/fpm/fpm.lo] Error 1
marshall@marshall-VirtualBox:~/Downloads/php-5.4.43$ 

Patches

Add a Patch

Pull Requests

Add a Pull Request

 
PHP Copyright © 2001-2018 The PHP Group
All rights reserved.
Last updated: Tue Dec 18 19:01:27 2018 UTC